<?php
/**
 * Вызывается при удалении плагина, чтобы почистить все следы прибывания плагина в системе.
 */

// Проверяем константу, чтобы предотвратить прямой доступ к uninstall.php
// Константа будет объявлена WordPress’ом во время использования uninstall.php.
// Константа НЕ объявляется, если вы используете register_uninstall_hook()
if( ! defined('WP_UNINSTALL_PLUGIN') )
    exit;

// проверка пройдена успешно. Начиная отсюда удаляем опции и все остальное.
delete_option( 'gvpb_border_color' );
delete_option( 'gvpb_border_width' );
delete_option( 'gvpb_button_color' );
delete_option( 'gvpb_label_color' );
delete_option( 'gvpb_border_radius' );
delete_option( 'gvpb_delay' );

delete_option('gvpb_animation');
delete_option('gvpb_speedOldImgAnim');
delete_option('gvpb_speedNewImgAnim');
delete_option('gvpb_OldImgAnim');
delete_option('gvpb_NewImgAnim');
